Package com.pixelmed.doseocr

## Class LegacyRadiationDoseOCRDicomForwardingService

- java.lang.Object
- - com.pixelmed.doseocr.LegacyRadiationDoseOCRDicomForwardingService

-     public class LegacyRadiationDoseOCRDicomForwardingService
      extends java.lang.Object

  A class to wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to a pre-configured DICOM destination.

  The class has no public methods other than the constructor and a main method that is useful as a utility.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler` |
    `protected class` | `LegacyRadiationDoseOCRDicomForwardingService.ReceivedFileProcessor` |
    `protected class` | `LegacyRadiationDoseOCRDicomForwardingService.Series` |
    `protected class` | `LegacyRadiationDoseOCRDicomForwardingService.SeriesProcessor` |
    `protected class` | `LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `ourAETitle` |
    `protected LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue` | `seriesQueue` |
    `protected java.lang.String` | `theirAETitle` |
    `protected java.lang.String` | `theirHost` |
    `protected int` | `theirPort` |
    `protected static long` | `TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS` |
    `protected static long` | `TIMEOUT_BEFORE_PROCESSING_SERIES_MS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LegacyRadiationDoseOCRDicomForwardingService​(int ourPort, java.lang.String ourAETitle, java.lang.String theirHost, int theirPort, java.lang.String theirAETitle, java.io.File savedImagesFolder)` | Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
    `LegacyRadiationDoseOCRDicomForwardingService​(int ourPort, java.lang.String ourAETitle, java.lang.String theirHost, int theirPort, java.lang.String theirAETitle, java.io.File savedImagesFolder, int debugLevel)` | Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
    `LegacyRadiationDoseOCRDicomForwardingService​(int ourPort, java.lang.String ourAETitle, java.lang.String theirHost, int theirPort, java.lang.String theirAETitle, java.io.File savedImagesFolder, int debugLevel, int networkDebugLevel)` | Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
    `protected void` | `sendSRFile​(CTDose ctDose)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMEOUT_BEFORE_PROCESSING_SERIES_MS

          protected static long TIMEOUT_BEFORE_PROCESSING_SERIES_MS

    - #### TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS

          protected static long TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS

    - #### theirHost

          protected java.lang.String theirHost

    - #### theirPort

          protected int theirPort

    - #### theirAETitle

          protected java.lang.String theirAETitle

    - #### ourAETitle

          protected java.lang.String ourAETitle

    - #### seriesQueue

          protected LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue seriesQueue

  - ### Constructor Detail

    - #### LegacyRadiationDoseOCRDicomForwardingService

          public LegacyRadiationDoseOCRDicomForwardingService​(int ourPort,
                                                              java.lang.String ourAETitle,
                                                              java.lang.String theirHost,
                                                              int theirPort,
                                                              java.lang.String theirAETitle,
                                                              java.io.File savedImagesFolder,
                                                              int debugLevel)
                                                       throws java.io.IOException

      Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

      Parameters:
        `ourPort` - our port
        `ourAETitle` - our AE Title
        `theirHost` - their host name or IP address
        `theirPort` - their port
        `theirAETitle` - their AE title
        `savedImagesFolder` - the folder in which to save the received images
        `debugLevel` - ignored
      Throws:
        `java.io.IOException`

    - #### LegacyRadiationDoseOCRDicomForwardingService

          public LegacyRadiationDoseOCRDicomForwardingService​(int ourPort,
                                                              java.lang.String ourAETitle,
                                                              java.lang.String theirHost,
                                                              int theirPort,
                                                              java.lang.String theirAETitle,
                                                              java.io.File savedImagesFolder,
                                                              int debugLevel,
                                                              int networkDebugLevel)
                                                       throws java.io.IOException

      Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

      Parameters:
        `ourPort` - our port
        `ourAETitle` - our AE Title
        `theirHost` - their host name or IP address
        `theirPort` - their port
        `theirAETitle` - their AE title
        `savedImagesFolder` - the folder in which to save the received images
        `debugLevel` - ignored
        `networkDebugLevel` - ignored
      Throws:
        `java.io.IOException`

    - #### LegacyRadiationDoseOCRDicomForwardingService

          public LegacyRadiationDoseOCRDicomForwardingService​(int ourPort,
                                                              java.lang.String ourAETitle,
                                                              java.lang.String theirHost,
                                                              int theirPort,
                                                              java.lang.String theirAETitle,
                                                              java.io.File savedImagesFolder)
                                                       throws java.io.IOException

      Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

      Parameters:
        `ourPort` - our port
        `ourAETitle` - our AE Title
        `theirHost` - their host name or IP address
        `theirPort` - their port
        `theirAETitle` - their AE title
        `savedImagesFolder` - the folder in which to save the received images
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### sendSRFile

          protected void sendSRFile​(CTDose ctDose)

    - #### main

          public static void main​(java.lang.String[] arg)

      Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

      Parameters:
        `arg` - array of five strings - our port, our AE Title, their hostname, their port, their AE Title